javax.ejb

## Enum LockType

- java.lang.Object
- - java.lang.Enum<LockType>
  - - javax.ejb.LockType

- All Implemented Interfaces:
    Serializable, Comparable<LockType>

      public enum LockType
      extends Enum<LockType>

  Concurrency lock type for singleton beans with container-managed concurrency.
  Since:
    EJB 3.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READ` For read-only operations.
    `WRITE` For exclusive access to the bean instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final LockType READ

      For read-only operations. Allows simultaneous access to methods designated as `READ`, as long as no `WRITE` lock is held.

    - #### WRITE

          public static final LockType WRITE

      For exclusive access to the bean instance. A `WRITE` lock can only be acquired when no other method with either a `READ` or `WRITE` lock is currently held.

  - ### Method Detail

    - #### values

          public static LockType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockType c : LockType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.